## ext_m2_DeliveryDate
This module adds the functionality to display an estimated delivery date for the selected shipping method on the checkout.
## Installation  

Use the package manager [composer](https://getcomposer.org/) to install the module.  

```bash  
composer require pinpoint/deliverydate
```  
## Usage
### Configuring module
There are two configurable options for this module. You can get to these at `Admin > Stores > Configuration > Pinpoint > Delivery Date`. Here you have `Module Enabled` and `Frontend Date Format` which are both `select` boxes for you to choose from.
### Manage estimated delivery dates
You can manage estimated dates per shipping method. Todo this you go to `Admin > Stores > Delivery Date > Estimated Delivery Dates`. From here you are presented will all the current shipping methods you have setup. To add a new estimation you click `Add New Estimation`. From here you have multiple options:

| Field | Type | Description |
|:--:|:--:|:--|
| Store | SELECT | Here you can set a estimatation at store level. |
| Shipping Method | MULTISELECT | Choose shipping methods this will be for.
| Estimated Delivery Days | NUMBER | Estimation in days from order placed.
| Description | TEXT | Estimation Description.
| Excluding Days| MULTISELECT | Any days to not take into consideration when calculating estimated date|

### Manage disallowed delivery dates
If you want to black out certain days such as Christmas Day from the estimated date calculation you can do this from `Admin > Stores > Delivery Date > Disallowed Delivery Dates` and clicking `Add New Date`.

| Field | Type | Description |
|:--:|:--:|:--|
| Store | SELECT | Here you can set a estimatation at store level. |
| Disallowed Date | DATE | Choose date in which you want to disable. |
| Date Name | TEXT | Name of date eg. `Christmas Day` |

Upon configurating everything you should now have an "Estimated Delivery Date" section right under the Shipping Methods section on the checkout and when selecting different delivery dates it will display the date your package should arrive. If no estimation available for that shipping method is available it will display `N/A`.
## Screenshots
![Estimated Delivery Date](readme-example.png)
